org.jboss.resteasy.core

## Class PropertyInjectorImpl

- java.lang.Object
- - org.jboss.resteasy.core.PropertyInjectorImpl

- All Implemented Interfaces:
    PropertyInjector

      public class PropertyInjectorImpl
      extends Object
      implements PropertyInjector

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Class<?>` | `clazz`
    `protected HashMap<Field,ValueInjector>` | `fieldMap`
    `protected HashMap<Long,Method>` | `setterhashes`
    `protected List<org.jboss.resteasy.core.PropertyInjectorImpl.SetterMethod>` | `setters`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyInjectorImpl(Class<?> clazz, ResteasyProviderFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inject(HttpRequest request, HttpResponse response, Object target)` Inject values into annotated properties (fields/setter methods) of the target object.
    `void` | `inject(Object target)` Inject values into annotated properties (fields/setter methods) of the target object.
    `protected void` | `populateMap(Class<?> clazz, ResteasyProviderFactory factory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fieldMap

          protected HashMap<Field,ValueInjector> fieldMap

    - #### setters

          protected List<org.jboss.resteasy.core.PropertyInjectorImpl.SetterMethod> setters

    - #### setterhashes

          protected HashMap<Long,Method> setterhashes

    - #### clazz

          protected Class<?> clazz

  - ### Constructor Detail

    - #### PropertyInjectorImpl

          public PropertyInjectorImpl(Class<?> clazz,
                              ResteasyProviderFactory factory)

  - ### Method Detail

    - #### populateMap

          protected void populateMap(Class<?> clazz,
                         ResteasyProviderFactory factory)

    - #### inject

          public void inject(HttpRequest request,
                    HttpResponse response,
                    Object target)
                      throws Failure

      Description copied from interface: `PropertyInjector`
      Inject values into annotated properties (fields/setter methods) of the target object. This method should only be used inside the scope of an HTTP request.
      Specified by:
        `inject` in interface `PropertyInjector`
      Throws:
        `Failure`

    - #### inject

          public void inject(Object target)

      Description copied from interface: `PropertyInjector`
      Inject values into annotated properties (fields/setter methods) of the target object. This method should only be used outside the scope of an HTTP request.
      Specified by:
        `inject` in interface `PropertyInjector`

Copyright © 2014. All Rights Reserved.